Package org.apache.qpid.proton.codec

# Class DynamicTypeConstructor

java.lang.Object
org.apache.qpid.proton.codec.DynamicTypeConstructor

All Implemented Interfaces:
  `TypeConstructor`

public class DynamicTypeConstructor extends Object implements TypeConstructor

## Constructor Summary

Constructors
Constructor
Description
`DynamicTypeConstructor(DescribedTypeConstructor dtc, TypeConstructor underlyingEncoding)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`encodesJavaPrimitive()`
`Class`
`getTypeClass()`
`Object`
`readValue()`
`void`
`skipValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DynamicTypeConstructor

public DynamicTypeConstructor(DescribedTypeConstructor dtc, TypeConstructor underlyingEncoding)

## Method Details

### readValue

public Object readValue()

Specified by:
  `readValue` in interface `TypeConstructor`

### encodesJavaPrimitive

public boolean encodesJavaPrimitive()

Specified by:
  `encodesJavaPrimitive` in interface `TypeConstructor`

### skipValue

public void skipValue()

Specified by:
  `skipValue` in interface `TypeConstructor`

### getTypeClass

public Class getTypeClass()

Specified by:
  `getTypeClass` in interface `TypeConstructor`